IF OBJECT_ID('[__BuildMaster_GetEventReference]') IS NOT NULL
	DROP PROCEDURE [__BuildMaster_GetEventReference]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [__BuildMaster_GetEventReference]
AS
BEGIN
	
	SELECT [Event_Code], [Event_Description], [StoredProc_Name] = ROUTINE_NAME
	  FROM INFORMATION_SCHEMA.ROUTINES 
		   INNER JOIN [EventTypes]
				   ON ROUTINE_DEFINITION LIKE '%' + [Event_Code] + '%' 
				  AND ROUTINE_TYPE='PROCEDURE'
	 ORDER BY 1

END
GO

GRANT EXECUTE ON [__BuildMaster_GetEventReference] TO [BuildMasterUser_Role]
GO