EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Containers_GetContainer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Containers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified container.'
GO

IF OBJECT_ID('[Containers_GetContainer]') IS NOT NULL DROP PROCEDURE [Containers_GetContainer]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Containers_GetContainer]
(
    @Container_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Containers_Extended]
	 WHERE [Container_Id] = @Container_Id

END
GO

GRANT EXECUTE ON [Containers_GetContainer] TO [BuildMasterUser_Role]
