EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Pipelines_GetPipelinesUsedByApplications',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Pipelines_UsedByApplications',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the pipelines used by applications.'
GO


IF OBJECT_ID('[Pipelines_GetPipelinesUsedByApplications]') IS NOT NULL DROP PROCEDURE [Pipelines_GetPipelinesUsedByApplications]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Pipelines_GetPipelinesUsedByApplications]
AS
BEGIN
	SET NOCOUNT ON

        SELECT * FROM [Pipelines_UsedByApplications]
END
GO

GRANT EXECUTE ON [Pipelines_GetPipelinesUsedByApplications] TO [BuildMasterUser_Role]